Summary: Koozali SME Server redis configuration
%define name smeserver-redis
Name: %{name}
%define version 0.1
%define release 1
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: e-smith-devtools >= 2.6.0-10
Requires: e-smith-base >= 5.8.1
Requires: e-smith-lib >= 2.6.0-14
Requires: redis
AutoReqProv: no

%description
This package adds necessary startup and configuration items for
redis.

%prep
%setup

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    --file /sbin/e-smith/systemd/postgresql-initialize 'attr(0554,root,root)' \
    --dir '/var/log/postgresql' 'attr(2750,postgres,postgres)' \
    --dir '/home/e-smith/db/pgsql' 'attr(0750,root,root)' \
    > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%changelog
* Thu Mar 03 2022 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1.0-1
- First import to Koozali SME v10
